import { world, system } from "@minecraft/server";

system.afterEvents.scriptEventReceive.subscribe((data) => {
  if (data.id == "more:components") {
    const entity = data.sourceEntity;
    entity.triggerEvent("minecraft:components");
    var item = entity.getComponent("item").itemStack;
    if (item.typeId.includes("netherite") && !item.typeId.includes("minecraft:") || item.typeId.includes("celestium") && item.typeId.includes("more:")) {
      entity.addTag("fire_immunity");
    } 
    if (item.typeId.includes("celestium") && item.typeId.includes("more:")) {
      entity.addTag("void_immunity");
    }
  }
});